defaults:
   youtube_export:
    name:                             'YouTube Export'
    description:                      ''
    weight:                           -9497
    params:
      enable_youtube_export:
        type:                         boolean
        value:                        false
        name:                         'Enable YouTube Export'
        description:                  'Enables/disables the YouTube Export function'
        editable:                     true
        system:                       false
      youtube_export_youtube_id:
        type:                         string
        value:                        ''
        name:                         'YouTube ID'
        description:                  'Enter your YouTube ID'
        editable:                     true
        system:                       false
        nullable:                     true
      youtube_export_youtube_secret:
        type:                         string
        value:                        ''
        name:                         'YouTube Secret'
        description:                  'Enter your YouTube Secret'
        editable:                     true
        system:                       false
        nullable:                     true
        secret:                       true
      youtube_export_youtube_api_key:
        type:                         string
        value:                        false
        name:                         'YouTube Api Key'
        description:                  'Enter your YouTube API Key'
        editable:                     true
        system:                       false
        nullable:                     true
        secret:                       true
      youtube_export_selectable_categories:
        type:                         list
        method:                       'youtubecategories'
        value:                        ~
        name:                         'Selectable Categories'
        description:                  'These YouTube categories are available for export.'
        multiple:                     true
        editable:                     true
        system:                       false       
        nullable:                     true 
      youtube_export_selectable_languages:
        type:                         list
        method:                       'youtubelanguages'
        value:                        ~  
        name:                         'Selectable Languages'
        description:                  'These YouTube languages are available for export.'
        multiple:                     true
        editable:                     true
        system:                       false       
        nullable:                     true   
      youtube_export_selectable_privacy_statuses:
        type:                         set
        value:                        ~
        set:                          {"1":"public","2":"private","3":"unlisted"}
        name:                         'Selectable Privacy Statuses'
        description:                  'These YouTube Privacy Statuses are available for export.'
        editable:                     true
        system:                       false
        nullable:                     true  
        multiple:                     true   
      youtube_export_selectable_licences:
        type:                         set
        value:                        ~
        set:                          {"1":"Standard Youtube License", "2":"Creative Commons - Attribution"}
        name:                         'Selectable Licences'
        description:                  'These YouTube Licenses are available for export.'
        editable:                     true
        system:                       false
        nullable:                     true
        multiple:                     true
      youtube_export_multiple_exports:
        type:                         set
        value:                        1
        set:                          {"1":"Allowed with warning","2":"Allowed without warning","3":"Not allowed"}
        name:                         'Multiple Exports'
        description:                  'Manage multiple export settings'
        editable:                     true
        system:                       false 
      youtube_export_notify_admins_after_export:
        type:                         boolean
        value:                        true
        name:                         'Notify Admins After Export'
        description:                  'Notify the admins after an export.'
        editable:                     true
        system:                       false
      youtube_export_legal_notice:
        type:                         boolean
        value:                        true
        name:                         'YouTube Legal Notice'
        description:                  'Show/hide YouTube Legal Notice.'
        editable:                     true
        system:                       false
